HYDRASDR_GPIODIR(1)

NAME
hydrasdr_gpiodir - tool to read and reconfigure device GPIO pin direction settings

DESCRIPTION
WARNING this tool reconfigure GPIO Direction IN/OUT and can destroy GPIO/MCU in case of mistake

USAGE:

-p, --port_no <p>: set port number<p>[0,7] for subsequent read/write operations

-n, --pin_no <n>: set pin number<n>[0,31] for subsequent read/write operations

-r, --read: read port number/pin number direction specified by last -n argument, or all port/pin

-w, --write <v>: write value port direction specified by last -n argument with value<v>[0,1](0=IN,1=OUT)

-s [serial_number_64bits]: Open board with specified 64bits serial number.

EXAMPLES

hydrasdr_gpiodir -p 0 -n 12 -r # reads gpio direction from port 0 pin number 12

hydrasdr_gpiodir -r # reads gpio direction on all pins and all ports

hydrasdr_gpiodir -p 0 -n 10 -w 1 # writes gpio direction port 0 pin number 10 with 1(output) decimal

AUTHORS
 HydraSDR RFOne
 was primarily written by Benjamin VERNOUX.

SEE ALSO
Package documentation in /usr/share/doc/hydrasdr-tools/ For more information visit https://www.hydrasdr.com